# Uses of Class
org.springframework.http.server.PathContainer.Options

Packages that use PathContainer.Options
Package
Description
org.springframework.http.server
Contains an abstraction over server-side HTTP.
org.springframework.web.util.pattern
Dedicated support for matching HTTP request paths.

## Uses of PathContainer.Options in org.springframework.http.server

Fields in org.springframework.http.server declared as PathContainer.Options
Modifier and Type
Field
Description
`static final PathContainer.Options`
PathContainer.Options.`HTTP_PATH`
Options for HTTP URL paths.
`static final PathContainer.Options`
PathContainer.Options.`MESSAGE_ROUTE`
Options for a message route.
Methods in org.springframework.http.server that return PathContainer.Options
Modifier and Type
Method
Description
`static PathContainer.Options`
PathContainer.Options.`create(char separator, boolean decodeAndParseSegments)`
Create an `PathContainer.Options` instance with the given settings.
Methods in org.springframework.http.server with parameters of type PathContainer.Options
Modifier and Type
Method
Description
`static PathContainer`
PathContainer.`parsePath(String path, PathContainer.Options options)`
Parse the path value into a sequence of `Separator` and `PathSegment` elements.

## Uses of PathContainer.Options in org.springframework.web.util.pattern

Methods in org.springframework.web.util.pattern that return PathContainer.Options
Modifier and Type
Method
Description
`PathContainer.Options`
PathPatternParser.`getPathOptions()`
Get the `configured` pattern parsing options.
Methods in org.springframework.web.util.pattern with parameters of type PathContainer.Options
Modifier and Type
Method
Description
`void`
PathPatternParser.`setPathOptions(PathContainer.Options pathOptions)`
Set options for parsing patterns.